import request from '@/utils/request'
import { URL } from '@/config'


//总后台-获取小票机品牌列表
export function getReceiptMachineList(params){
  return request({
    url: URL.shop.store.printer.getReceiptMachineList,
    method: 'get',
    params,
  })
}

//总后台-添加小票机品牌
/**
 * @param {
 * model_name:飞鹅云打印机PF-V7       打票机型号
 * intro:飞鹅云打印机PF-V7            打票机型号备注名
 * brand_name:飞鹅                   品牌名
 * website_url:www.feieyun.com       官网URL
 * paper_with:58                     纸张宽度
 * }  
 * @returns 
 */
export function addReceiptMachine(params){
  return request({
    url: URL.shop.store.printer.addReceiptMachine,
    method: 'post',
    params,
  })
}

//总后台-删除小票机品牌
/**
 * @param { model_id } 
 * @returns 
 */
export function delectReceiptMachine(params){
  return request({
    url: URL.shop.store.printer.delectReceiptMachine,
    method: 'post',
    params,
  })
}

//总后台-更新小票机品牌
/**
 * @param {
* model_name:飞鹅云打印机PF-V7       打票机型号
* intro:飞鹅云打印机PF-V7            打票机型号备注名
* brand_name:飞鹅                   品牌名
* website_url:www.feieyun.com       官网URL
* paper_with:58                     纸张宽度
* }  
* @returns 
*/
export function updateReceiptMachine(params){
  return request({
    url: URL.shop.store.printer.updateReceiptMachine,
    method: 'post',
    params,
  })
}


// 商家端-获取打印机列表
export function getPrinterList(params){
  return request({
    url: URL.shop.store.printer.getPrinterList,
    method: 'get',
    params,
  })
}
// 商家端-获取打印机详情
/**
 * @param {id}  打印机id 
 * @returns 
 */
export function getPrinterDetail(params){
  return request({
    url: URL.shop.store.printer.getPrinterDetail,
    method: 'get',
    params,
  })
}
// 商家端-获取品牌列表
/**
 * @param {count}  数量
 * @returns 
 */
export function getPrinterModelList(params){
  return request({
    url: URL.shop.store.printer.getPrinterModelList,
    method: 'get',
    params,
  })
}

// 商家端-获取打印区域列表
/**
 * @param {count}  数量
 * @returns 
 */
export function getPrinterflagList(params){
  return request({
    url: URL.shop.store.printer.getPrinterflagList,
    method: 'get',
    params,
  })
}

// 商家端-添加打印机
/**
 * @param {
* model_id:1                  打票机型号ID
* printer_name:核销台打印机    打票机备注名
* printer_sn:922441475        打票机编号
* printer_key:r6ZXPvHH        打票机密钥
* region_id:1                 打票机摆放区域ID
* paper_with:58               纸张宽度
* printer_id:1                打票机自增ID
* website_url:https://www.feieyun.com  打印机网站地址
* }  数量
* @returns 
*/

export function addPrinter(params){
 return request({
   url: URL.shop.store.printer.addPrinter,
   method: 'post',
   params,
 })
}

//商家端-删除打印机
/**
 * @param { printer_id:0}  打票机自增ID
 * @returns 
 */
export function delectPrinter(params){
  return request({
    url: URL.shop.store.printer.delectPrinter,
    method: 'post',
    params,
  })
 }


// 商家端-更新打印机信息
/**
 * @param {
 * model_id:1                  打票机型号ID
 * printer_name:核销台打印机    打票机备注名
 * printer_sn:922441475        打票机编号
 * printer_key:r6ZXPvHH        打票机密钥
 * region_id:1                 打票机摆放区域ID
 * paper_with:58               纸张宽度
 * printer_id:1                打票机自增ID
 * website_url:https://www.feieyun.com  打印机网站地址
 * }  数量
 * @returns 
 */

export function updatePrinterInfo(params){
  return request({
    url: URL.shop.store.printer.updatePrinterInfo,
    method: 'post',
    params,
  })
}

//商家端-更新打印机状态
/**
 * @param {printer_id,status}  
 * @returns 
 */

export function updatePrnterStatus(params){
  return request({
    url: URL.shop.store.printer.updatePrnterStatus,
    method: 'post',
    params,
  })
}


// 商家端-测试打印
/**
 * @param {orderId}  DD-20241112-1
 * @returns 
 */
export function testPrinter(params){
  return request({
    url: URL.shop.store.printer.testPrinter,
    method: 'post',
    params,
  })
}


